org.jboss.netty.handler.codec.http.multipart

## Class MemoryFileUpload

- java.lang.Object
- - org.jboss.netty.handler.codec.http.multipart.AbstractHttpData
  - - org.jboss.netty.handler.codec.http.multipart.AbstractMemoryHttpData
    - - org.jboss.netty.handler.codec.http.multipart.MemoryFileUpload

- All Implemented Interfaces:
    Comparable<InterfaceHttpData>, FileUpload, HttpData, InterfaceHttpData

      public class MemoryFileUpload
      extends AbstractMemoryHttpData
      implements FileUpload

  Default FileUpload implementation that stores file into memory.
  Warning: be aware of the memory limitation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

      `InterfaceHttpData.HttpDataType`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractMemoryHttpData

      `isRenamed`

    - ### Fields inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractHttpData

      `charset, completed, definedSize, name, size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryFileUpload(String name, String filename, String contentType, String contentTransferEncoding, Charset charset, long size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FileUpload o)`
    `int` | `compareTo(InterfaceHttpData arg0)`
    `boolean` | `equals(Object o)`
    `String` | `getContentTransferEncoding()` Returns the Content-Transfer-Encoding
    `String` | `getContentType()` Returns the content type passed by the browser or null if not defined.
    `String` | `getFilename()` Returns the original filename in the client's filesystem, as provided by the browser (or other client software).
    `InterfaceHttpData.HttpDataType` | `getHttpDataType()`
    `int` | `hashCode()`
    `void` | `setContentTransferEncoding(String contentTransferEncoding)` Set the Content-Transfer-Encoding type from String as 7bit, 8bit or binary
    `void` | `setContentType(String contentType)` Set the Content Type passed by the browser if defined
    `void` | `setFilename(String filename)` Set the original filename
    `String` | `toString()`

    - ### Methods inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractMemoryHttpData

      `addContent, delete, get, getChannelBuffer, getChunk, getFile, getString, getString, isInMemory, renameTo, setContent, setContent, setContent`

    - ### Methods inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractHttpData

      `getCharset, getName, isCompleted, length, setCharset`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.HttpData

      `addContent, delete, get, getChannelBuffer, getCharset, getChunk, getFile, getString, getString, isCompleted, isInMemory, length, renameTo, setCharset, setContent, setContent, setContent`

    - ### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

      `getName`

- - ### Constructor Detail

    - #### MemoryFileUpload

          public MemoryFileUpload(String name,
                          String filename,
                          String contentType,
                          String contentTransferEncoding,
                          Charset charset,
                          long size)

  - ### Method Detail

    - #### getHttpDataType

          public InterfaceHttpData.HttpDataType getHttpDataType()

      Specified by:
        `getHttpDataType` in interface `InterfaceHttpData`
      Returns:
        The HttpDataType

    - #### getFilename

          public String getFilename()

      Description copied from interface: `FileUpload`
      Returns the original filename in the client's filesystem, as provided by the browser (or other client software).
      Specified by:
        `getFilename` in interface `FileUpload`
      Returns:
        the original filename

    - #### setFilename

          public void setFilename(String filename)

      Description copied from interface: `FileUpload`
      Set the original filename
      Specified by:
        `setFilename` in interface `FileUpload`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(InterfaceHttpData arg0)

      Specified by:
        `compareTo` in interface `Comparable<InterfaceHttpData>`

    - #### compareTo

          public int compareTo(FileUpload o)

    - #### setContentType

          public void setContentType(String contentType)

      Description copied from interface: `FileUpload`
      Set the Content Type passed by the browser if defined
      Specified by:
        `setContentType` in interface `FileUpload`
      Parameters:
        `contentType` - Content Type to set - must be not null

    - #### getContentType

          public String getContentType()

      Description copied from interface: `FileUpload`
      Returns the content type passed by the browser or null if not defined.
      Specified by:
        `getContentType` in interface `FileUpload`
      Returns:
        the content type passed by the browser or null if not defined.

    - #### getContentTransferEncoding

          public String getContentTransferEncoding()

      Description copied from interface: `FileUpload`
      Returns the Content-Transfer-Encoding
      Specified by:
        `getContentTransferEncoding` in interface `FileUpload`
      Returns:
        the Content-Transfer-Encoding

    - #### setContentTransferEncoding

          public void setContentTransferEncoding(String contentTransferEncoding)

      Description copied from interface: `FileUpload`
      Set the Content-Transfer-Encoding type from String as 7bit, 8bit or binary
      Specified by:
        `setContentTransferEncoding` in interface `FileUpload`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.